import { Action, AnyAction, Dispatch } from 'redux';
export declare type AnyFunction = (...args: any[]) => any;
export interface Store<S = any, A extends Action = AnyAction> {
    subscribe(listener: () => void): () => void;
    dispatch: Dispatch<A>;
    getState(): S;
    [exactProp: string]: any;
}
